%define module_name JavaScript-Duktape-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Text/Trim.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000081
Release: alt1
Summary: Perl XS binding for the Duktape Javascript embeddable engine
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GONZUS/%{module_name}-0000081targz/%{module_name}-%{version}.tar.gz

%description
This module provides an XS wrapper to call Duktape from Perl.

%prep
%setup -q -n %{module_name}-%{version}

%ifarch %ix86 %arm
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.000081-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.000079-alt2
- rebuild with perl 5.38

* Wed Nov 17 2021 Igor Vlasenko <viy@altlinux.ru> 0.000079-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.000075-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.000075-alt2
- rebuild with perl 5.30

* Wed Feb 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.000075-alt1
- regenerated from template by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.000074-alt1.1
- rebuild with perl 5.28.1

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.000074-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.000071-alt1
- regenerated from template by package builder

* Mon Jul 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.000070-alt1
- regenerated from template by package builder

* Wed Jun 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.000067-alt1
- regenerated from template by package builder

* Sat Jun 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.000065-alt1
- regenerated from template by package builder

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.000063-alt1
- regenerated from template by package builder

* Thu May 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.000061-alt1
- regenerated from template by package builder

* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.000060-alt1
- regenerated from template by package builder

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.000052-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.000051-alt1
- regenerated from template by package builder

* Tue Apr 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.000050-alt1
- regenerated from template by package builder

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.000047-alt1
- regenerated from template by package builder

* Sat Apr 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.000042-alt1
- regenerated from template by package builder

* Wed Apr 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.000038-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.000036-alt1
- regenerated from template by package builder

* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.000035-alt1
- regenerated from template by package builder

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.000031-alt1
- initial import by package builder

